import Vue from "vue";
import Router from "vue-router";
Vue.use(Router);
import home from "@/components/home";
import mainpage from "@/components/mainpage";
import profile from "@/components/profile";
import BookSearchPage from "@/components/BookSearchPage";
import Login from "@/components/login/Login";
import Logout from "@/components/login/Logout";
import SignUp from "@/components/login/SignUp";
import Buy from "@/components/Buy";
import Sell from "@/components/Sell";

export default new Router({
  mode: "history",
  routes: [
    {
      path: "/",
      name: "mainpage",
      component: mainpage
    },
    {
      path: "/home",
      name: "home",
      component: home
    },

    {
      path: "/profile",
      name: "profile",
      component: profile
    },
    {
      path: "/BookSearchPage",
      name: "bookindex",
      component: BookSearchPage
    },
    {
      path: "/login",
      name: "Login",
      component: Login
    },
    {
      path: "/logout",
      name: "Logout",
      component: Logout
    },
    {
      path: "/signUp",
      name: "SignUp",
      component: SignUp
    },
    {
      path: "/BookSearchPage/buy/:id",
      name: "BookSearchPageBuy",
      component: Buy
    },
    {
      path: "/home/buy/:id",
      name: "HomeBuy",
      component: Buy
    },
    {
      path: "/BookSearchPage/sell/:id",
      name: "BookSearchPageSell",
      component: Sell
    },
    {
      path: "/home/sell/:id",
      name: "HomeSell",
      component: Sell
    }
  ]
});
